angular
  .module("starter.controllers")

  .controller(
    "DiscoveryBookHomeBookDetailCtrl",
    function (
      $controller,
      $scope,
      $state,
      $stateParams,
      $ionicHistory,
      $ionicSlideBoxDelegate,
      $ionicTabsDelegate,
      apiService,
      bookService,
      ngCordovaService
    ) {
      // -------------------------------------------------------------------------------------------------------------------
      $scope.book = $stateParams.book;
      $scope.comments = []; // 图书评论

      // -------------------------------------------------------------------------------------------------------------------
      var currentState = $ionicHistory.currentStateName();
      var targetLeaveMessageState = undefined;
      if (currentState == "tab.dcbookdetaildrift") {
        targetLeaveMessageState = "tab.dcHomeBookLeaveMessage";
      } else if (currentState == "tab.minedcbookdetaildrift") {
        targetLeaveMessageState = "tab.minedcHomeBookLeaveMessage";
      }
      $scope.goLeaveMessage = function (book) {
        if (book) {
          $state.go(targetLeaveMessageState, {
            book: book,
          });
        }
      };

      //
      $ionicTabsDelegate.showBar(false);

      // ----------------------------------------------------------------------------------------------------------------
      // 获取base controller，并将其扩展至当前controller中。
      var baseBookDetailCtrl = $controller("baseBookDetailCtrl", {
        $scope: $scope,
      });
      angular.extend(this, baseBookDetailCtrl);
      if ($scope.book && $scope.book.basebook) {
        $scope.init($scope.book.basebook.isbn); // init函数是base controller中的
      }
    }
  );
