angular
  .module("starter.controllers")

  .controller(
    "SelectAddressCtrl",
    function (
      $rootScope,
      $scope,
      $state,
      $stateParams,
      $ionicTabsDelegate,
      $ionicModal,
      apiService,
      uiService,
      ngCordovaService,
      $ionicLoading,
      $ionicPopup,
      broadcastConstants,
      broadcastService,
      $ionicHistory
    ) {
      $scope.flag = true;

      $scope.selectAddress = function (adr) {
        broadcastService.send(broadcastConstants.names.addressSelected, adr);
        $ionicHistory.goBack();
      };
      $scope.goEdit = function (adr) {
        adr.addressBig = adr.city + adr.district;
        $state.go("tab.addressAdd", {
          address: adr,
          title: "选择收货地址",
        });
      };
      $scope.goAddAddress = function () {
        $state.go("tab.addressAdd", {
          address: {},
          title: "新建收货地址",
        });
      };
      function init() {
        apiService.addressAll($rootScope.userInfo.account, {
          onSuccess: function (data, status, config, headers) {
            if (data.status == "OK") {
              $scope.data = data.data;
              if (data.data.length != 0) {
                console.log(data);
              } else {
                $scope.flag = false;
              }
            }
          },
        });
      }
      init();
    }
  );
