angular
  .module("starter.controllers")

  .controller(
    "MyReservedCtrl",
    function (
      $scope,
      $state,
      apiService,
      uiService,
      $ionicLoading,
      $ionicTabsDelegate,
      broadcastService,
      broadcastConstants
    ) {
      //
      $scope.reservedBooks = [];
      var isFirst = true;
      function retrieveBorrowInfo() {
        // TODO alphe系统临时还是把借阅和预约一起给出的
        if ((isFirst = true)) {
          uiService.ionicLoadingShow({ templateTitle: "正在加载..." });
        }
        apiService.retrieveBorrowInfo(
          $scope.user.borrowID,
          retrieveBorrowInfoCallback
        );
      }
      var retrieveBorrowInfoCallback = {
        onSuccess: function (data, status, config, headers) {
          if (data) {
            $scope.reservedBooks = data.reservedBooks;
          }
        },
        onError: function (data, status, config, headers) {
          // TODO
        },
        onFinally: function () {
          if (isFirst == true) {
            isFirst = false;
            $ionicLoading.hide();
          }
        },
      };

      //
      $scope.toReservedBookDetail = function (reservedBook) {
        $state.go("tab.reservedBookDetail", { reservedBook: reservedBook });
      };

      /********************wsc-change*************************/
      var onReservedBookChangedListener = function () {
        //console.log('BookHomeBooksCtrl', angular.toJson(data, true));
        retrieveBorrowInfo(true);
      };
      //监听和反监听
      broadcastService.register(
        broadcastConstants.names.onReservedBookChanged,
        onReservedBookChangedListener
      );
      $scope.$on("$destroy", function () {
        broadcastService.unregister(
          broadcastConstants.names.onReservedBookChanged,
          onReservedBookChangedListener
        );
      });
      //
      retrieveBorrowInfo();
      $ionicTabsDelegate.showBar(false);
    }
  );
